Bug Hunting Session
Bug 37912 - EDITING cursor does not change to arrow hovering over "X" box
Summary: EDITING cursor does not change to arrow hovering over "X" box
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: x86 (IA32) Linux (All)
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Form-Controls Mouse-Cursor
  Show dependency treegraph
 
Reported: 2011-06-04 00:13 UTC by Christopher M. Penalver
Modified: 2019-10-11 02:36 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Unbenannt 1.doc (9.50 KB, application/msword)
2011-06-04 00:13 UTC, Christopher M. Penalver
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2011-06-04 00:13:07 UTC
Created attachment 47509 [details]
Unbenannt 1.doc

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/207220

Novell bug may be found at:
https://bugzilla.novell.com/show_bug.cgi?id=437569

1) lsb_release -rd
Description: Ubuntu 11.04
Release: 11.04

2) apt-cache policy libreoffice-writer
libreoffice-writer:
  Installed: 1:3.3.2-1ubuntu5
  Candidate: 1:3.3.2-1ubuntu5
  Version table:
 *** 1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages
        500 http://us.archive.ubuntu.com/ubuntu/ natty-proposed/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

3) What is expected to happen in LibreOffice Writer via the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/207220/+attachment/2134007/+files/Unbenannt%201.doc && lowriter -nologo Unbenannt\ 1.doc

hover ones mouse cursor over the checkbox and it changes from the I to an arrow.

4) What happens instead is it remains an I.
Comment 1 Björn Michaelsen 2011-12-23 12:08:00 UTC Comment hidden (obsolete)
Comment 2 sasha.libreoffice 2012-01-26 00:47:59 UTC
reproduced in LibO 3.6.0 master on Fedora 64 bit
and in LibO 3.5.0 beta on Windows XP 32 bit
Comment 3 Julien Nabet 2012-09-15 07:07:18 UTC
On pc Debian x86-64 with master sources updated today, I still reproduce this behaviour.

Michael: any idea about this or perhaps some code pointer if it can be an easyhack (for a dev of course! :-))
Comment 4 QA Administrators 2015-01-05 17:52:41 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-01-29 11:23:36 UTC
Repro.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 784d069cc1d9f1d6e6a4e543a278376ab483d1eb
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-25_23:07:36
Comment 6 QA Administrators 2016-02-21 08:38:24 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-03-06 16:15:23 UTC Comment hidden (obsolete)
Comment 8 Thomas Lendo 2018-10-10 12:44:38 UTC
Still reproducible.

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 425af6845ebe066c950b0b63f50563e067485f3e
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-09_23:30:22
Locale: de-AT (de_AT); Calc: CL
Comment 9 QA Administrators 2019-10-11 02:36:23 UTC
Dear Christopher M. Penalver,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug